RESTinio

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
restinio::ip_blocker_holder_t< Ip_Blocker > Struct Template Reference

A special class for holding actual IP-blocker object. More...

`#include <settings.hpp>`

## Public Member Functions
void | check_valid_ip_blocker_pointer () const
| Checks that pointer to IP-blocker is not null. More...

## Public Attributes
std::shared_ptr< Ip_Blocker > | m_ip_blocker

## Static Public Attributes
static constexpr bool | has_actual_ip_blocker = true

## Detailed Description

template<typename Ip_Blocker>
struct restinio::ip_blocker_holder_t< Ip_Blocker >

A special class for holding actual IP-blocker object.

This class holds shared pointer to actual IP-blocker and provides an actual implementation of check_valid_ip_blocker_pointer() method.

Since
  v.0.5.1

Definition at line 374 of file settings.hpp.

## Member Function Documentation

## ◆ check_valid_ip_blocker_pointer()

template<typename Ip_Blocker >

void restinio::ip_blocker_holder_t< Ip_Blocker >::check_valid_ip_blocker_pointer | ( |  | ) | const
| inline

Checks that pointer to IP-blocker is not null.

Throws an exception if m_ip_blocker is nullptr.

Definition at line 398 of file settings.hpp.

## Member Data Documentation

## ◆ has_actual_ip_blocker

template<typename Ip_Blocker >

constexpr bool restinio::ip_blocker_holder_t< Ip_Blocker >::has_actual_ip_blocker = true
| static constexpr

Definition at line 391 of file settings.hpp.

## ◆ m_ip_blocker

template<typename Ip_Blocker >

std::shared_ptr< Ip_Blocker > restinio::ip_blocker_holder_t< Ip_Blocker >::m_ip_blocker

Definition at line 389 of file settings.hpp.

The documentation for this struct was generated from the following file:

- restinio/settings.hpp